diff --git a/applications/dashcast/audio_decoder.c b/applications/dashcast/audio_decoder.c
index ba7524142b..01de12a9be 100644
--- a/applications/dashcast/audio_decoder.c
+++ b/applications/dashcast/audio_decoder.c
@@ -183,7 +183,7 @@ static int resample_audio(AudioInputFile *audio_input_file, AudioInputData *audi
 		(*output) [i] = (uint8_t*)av_malloc(DC_AUDIO_MAX_CHUNCK_SIZE); //FIXME: fix using size below av_samples_get_buffer_size()
 	}
 
-	i = swr_convert(audio_input_file->aresampler, *output, audio_input_data->aframe->nb_samples, audio_input_data->aframe->extended_data, audio_input_data->aframe->nb_samples);
+	i = swr_convert(audio_input_file->aresampler, *output, audio_input_data->aframe->nb_samples, (const uint8_t **)audio_input_data->aframe->extended_data, audio_input_data->aframe->nb_samples);
 	if (i < 0) {
 		GF_LOG(GF_LOG_ERROR, GF_LOG_DASH, ("Could not resample audio frame. Aborting.\n"));
 		return -1;
diff --git a/applications/dashcast/audio_encoder.c b/applications/dashcast/audio_encoder.c
index fa51ed3bab..b957191a2c 100644
--- a/applications/dashcast/audio_encoder.c
+++ b/applications/dashcast/audio_encoder.c
@@ -214,7 +214,7 @@ static int resample_audio(AudioOutputFile *audio_output_file, AVCodecContext *au
 		output[i] = (uint8_t*)av_malloc(linesize);
 	}
 
-	if (swr_convert(audio_output_file->aresampler, output, audio_output_file->aframe->nb_samples, audio_output_file->aframe->extended_data, audio_output_file->aframe->nb_samples) < 0) {
+	if (swr_convert(audio_output_file->aresampler, output, audio_output_file->aframe->nb_samples, (const uint8_t **)audio_output_file->aframe->extended_data, audio_output_file->aframe->nb_samples) < 0) {
 		GF_LOG(GF_LOG_ERROR, GF_LOG_DASH, ("Could not resample audio frame. Aborting.\n"));
 		return -1;
 	}
diff --git a/src/isomedia/avc_ext.c b/src/isomedia/avc_ext.c
index e59788eb23..50680fa8ad 100644
--- a/src/isomedia/avc_ext.c
+++ b/src/isomedia/avc_ext.c
@@ -1255,7 +1255,7 @@ void AV1_RewriteESDescriptor(GF_MPEGVisualSampleEntryBox *av1)
 
 
 static GF_VPConfig* VP_DuplicateConfig(GF_VPConfig const * const cfg) {
-	u32 i = 0;
+
 	GF_VPConfig *out = gf_odf_vp_cfg_new();
 	if (out) {
 		out->profile = cfg->profile;
diff --git a/src/media_tools/dash_segmenter.c b/src/media_tools/dash_segmenter.c
index b53b45602c..a16e5b0f68 100644
--- a/src/media_tools/dash_segmenter.c
+++ b/src/media_tools/dash_segmenter.c
@@ -707,7 +707,7 @@ GF_Err gf_media_get_rfc_6381_codec_name(GF_ISOFile *movie, u32 track, char *szCo
 			return GF_BAD_PARAM;
 		}
 
-		snprintf(szCodec, RFC6381_CODEC_NAME_SIZE_MAX, "%s.%02u.%02u.%02u.%02u.%02u.%02u.%02u.%02u", gf_4cc_to_str(subtype),
+		snprintf(szCodec, RFC6381_CODEC_NAME_SIZE_MAX, "%s.%02u.%02x.%02u.%02u.%02u.%02u.%02u.%02u", gf_4cc_to_str(subtype),
 			vpcc->profile,
 			vpcc->level,
 			vpcc->bit_depth,
diff --git a/src/media_tools/ismacryp.c b/src/media_tools/ismacryp.c
index dc1956bec2..69cf652504 100644
--- a/src/media_tools/ismacryp.c
+++ b/src/media_tools/ismacryp.c
@@ -201,7 +201,7 @@ void isma_ea_node_start(void *sax_cbck, const char *node_name, const char *name_
 						sscanf(szV, "%x", &v);
 						tkc->first_IV[j/2] = v;
 					}
-					if (!tkc->IV_size) tkc->IV_size = (u32) strlen(sKey) / 2;
+					if (!tkc->IV_size) tkc->IV_size = (u8) strlen(sKey) / 2;
 				}
 			}
 			else if (!stricmp(att->name, "saiSavedBox")) {
@@ -244,7 +244,7 @@ void isma_ea_node_start(void *sax_cbck, const char *node_name, const char *name_
 						tkc->constant_IV[j/2] = v;
 					}
 				}
-				if (!tkc->constant_IV_size) tkc->constant_IV_size = (u32) strlen(sKey) / 2;
+				if (!tkc->constant_IV_size) tkc->constant_IV_size = (u8) strlen(sKey) / 2;
 			}
 			else if (!stricmp(att->name, "encryptSliceHeader")) {
 				tkc->allow_encrypted_slice_header = !strcmp(att->value, "yes") ? GF_TRUE : GF_FALSE;
